@import "./../../../../variables.scss";


::ng-deep .jobs .jobs-tabs {
    display: flex;

    .tab-content {
        margin-left: 38px;
    }

    ul {
        display: block;
        width: 196.33px;
        border: none;
    }

    a.active {
        background-color: $LightNavy !important;
        color: $Green !important;
        border-color: transparent !important;
        border-radius: 0px;
    }

    a:hover {
        background-color: $LightNavy !important;
        color: $Green !important;
        border-color: transparent !important;
        border-radius: 0px;
    }

    a {
        display: inline-block;
        -webkit-text-decoration: none;
        text-decoration: none;
        -webkit-text-decoration-skip-ink: auto;
        text-decoration-skip-ink: auto;
        color: inherit;
        position: relative;
        -webkit-transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
        cursor: pointer;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-align-items: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 100%;
        background-color: transparent;
        height: 42px;
        padding: 0 20px 2px;
        -webkit-transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
        text-align: left;
        white-space: nowrap;
        font-family: $CodeFont;
        font-size: 13px;
        color: $Slate;
    }

    li {
        border-left: 2px solid $LightestNavy;
        border-left-width: 2px;
        border-left-style: solid;
        border-left-color: rgb(48, 60, 85);
    }
}

.jobs {

    max-width: 965px;
    margin: auto;

    .title-tab-content {
        color: $LightestSlate;
        font-size: 22px;
        font-weight: 500;
        margin-bottom: 5px;

        .company-tab-content {
            color: $Green;
        }
    }

    .job-time {
        font-family: $CodeFont;
        font-size: 13px;
        font-weight: normal;
        -webkit-letter-spacing: 0.05em;
        -moz-letter-spacing: 0.05em;
        -ms-letter-spacing: 0.05em;
        letter-spacing: 0.05em;
        color: $LightSlate;
        margin-bottom: 30px;
    }

    .job-description {
        position: relative;
        padding-left: 30px;
        margin-bottom: 10px;
        font-size: 18px;

        &:before {
            content: '▹';
            position: absolute;
            left: 0;
            color: $Green;
        }
    }
}



@media (max-width: 768px) {
    .jobs {
        .job-description {
            padding: 0px;
        }
    }

    ::ng-deep .jobs-tabs {
        display: block !important;

        .tab-content {
            margin-left: 0px !important;
        }

        ul {
            display: block;
            width: 100% !important;
            margin-bottom: 50px;
        }
    }
}